import Panel from "../views/Panel";


export default class NoTipsPanel extends Panel {
    public get skinKey() { return 'NoTipsPanel' }
    public get groupName() { return 'card' }

    public backBtn: eui.Button;
    public closeBtn: eui.Button;
    private mData: any;

    private backExposure: any;
    constructor(data?) {
        super(data);
        this.mData = data;
        // this.startList.height = 1080/window.innerWidth*window.innerHeight;
    }

    initEvents() {
        super.initEvents();
    }

    removeEvents() {
        super.removeEvents();
    }

    start() {
        super.start();
        this.percentHeight = 100;

    }
    private cityJson;
    protected async preLoadRes() {
        //加载背景并设置背景图片

        return new Promise(function (resolve, reject) {
            resolve();
        });

    }

    protected onSkinComplete(): void {
        super.onSkinComplete();
        this.once(egret.Event.ADDED_TO_STAGE, this.onLoad, this);
        if (this.stage) {
            this.onLoad();
        }
    }

    private onLoad(): void {
        this.initUI();
    }

    initUI() {


    }
    



}